<html>
<head>
</head>
<body>
<script type="text/javascript">


function showLicences(licences) {
	licences.forEach(elt_licence => {
		document.write("<br />" + elt_licence) ;
	}); 
}



function listOfLicencesNumber(tab_licences) {
	list_licenceNumber = [] ;
	tab_licences.forEach(elt_licence => {
		if (list_licenceNumber.includes(elt_licence[0]) == false) {
			list_licenceNumber.push(elt_licence[0]) ;
		}
	}) ;
	return list_licenceNumber ;
}



function listOfYears(tab_licences) {
	list_years = [] ;
	tab_licences.forEach(elt_licence => {
		if (list_years.includes(elt_licence[1]) == false) {
			list_years.push(elt_licence[1]) ;
		}
	}) ;
	return list_years ;
}


function listOfClubs(tab_licences) {
	list_clubs = [] ;
	tab_licences.forEach(elt_licence => {
		if (list_clubs.includes(elt_licence[2]) == false) {
			list_clubs.push(elt_licence[2]) ;
		}
	}) ;
	
	return list_clubs ;
}


function listOfLeagues(tab_licences) {
	list_leagues = [] ;

	tab_licences.forEach(elt_licence => {
		if (list_leagues.includes(elt_licence[3]) == false) {
			list_leagues.push(elt_licence[3]) ;
		}
	}) ;

	return list_leagues ;
}


licences = [
	["licence_001","2021","75Pa","IDF"],
	["licence_002","2021","75Ju","IDF"],
	["licence_003","2021","38Gr","LRA"],
	["licence_004","2021","38Gr","LRA"],
		
	["licence_005","2022","75Pa","IDF"],
	["licence_004","2022","75Ju","IDF"],
	["licence_003","2022","38Gr","LRA"],
	["licence_002","2022","38Gr","LRA"],
	["licence_001","2022","64Pa","LSO"],
	
	["licence_002","2023","64Pa","LSO"],
	["licence_001","2024","64Pa","LSO"],
	["licence_003","2025","64Pa","LSO"],
	["licence_005","2026","64Pa","LSO"],
	["licence_004","2027","64Pa","LSO"],
	
	["licence_004","2028","38Gr","LRA"]
] ;
	
	
document.write("Liste de toutes les licences") ;	
showLicences(licences) ;
	
	

document.write("<br /><br /> Liste des licences :") ;	
liste_des_licences = listOfLicencesNumber(licences) ;
document.write('<br />' + liste_des_licences) ;


document.write("<br /><br />Liste des millesimes :") ;
liste_des_annees = listOfYears(licences) ;
document.write('<br />' + liste_des_annees) ;


document.write("<br /><br />Liste des clubs :") ;	
liste_des_clubs = listOfClubs(licences) ;
document.write('<br />' + liste_des_clubs) ;


document.write("<br /><br />Liste des ligues :") ;	
liste_des_ligues = listOfLeagues(licences) ;
document.write('<br />' + liste_des_ligues) ;		
	

/***************************************************************/
document.write('<br /><br />Projection des licences par années/club :<br />') ;

tab_projection = [] ;

liste_des_licences.forEach(lic => {
	tab_lic = [] ;
	tab_lic.push(lic) ;
	tmp_list_years = [] ;
	liste_des_annees.forEach(annee => {
		txt_annee = "" ;
		licences.forEach(ligne => {
			if ((ligne[0] == lic) && (ligne[1] == annee)) {
				txt_annee += ligne[2] ;
			}
		}) ;
		tmp_list_years.push(txt_annee);	
	}) ;
	tab_lic.push(tmp_list_years) ;
	tab_projection.push(tab_lic);
}) ;



txt_titre =  " | num_licence" ;
txt_ligne =  " +-----------------" ;


liste_des_annees.forEach(elt_annee => {
	txt_titre += " | " + elt_annee ;  
	txt_ligne += "-+-------" ;
}) ;

txt_titre += " |" ;
txt_ligne += "-+" ;

document.write(txt_titre) ;
document.write('<br />' + txt_ligne) ;


tab_projection.forEach(proj => {
	txt_proj = ' | ' + proj[0] ;
	txt_elt = '' ;
	
	proj[1].forEach(elt => {
		if (elt == '') {
			txt_elt += " | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" ;
		}
		else {
			txt_elt += " | " + elt ;
		}
	});
	
	txt_proj += txt_elt + " | " ;
	document.write('<br />' + txt_proj);
}); 





/****************************************************************/
document.write('<br ><br /><br />Projection des clubs par annnée/nombre-de-licencés:') ;

tab_projection_club = [] ;

liste_des_clubs.forEach(elt_club => {
	tab_stat_club = [] ;
	tab_stat_club.push(elt_club);
	
	
	tab_statsDuClub = [] ;
	liste_des_annees.forEach(elt_annee => {
		txt_club_annee = elt_club + " / " + elt_annee ;
		nb_licences_club_annee = 0 ;
		
		licences.forEach(elt_ligne_licence => {
			if(elt_ligne_licence[2] == elt_club) {
				if(elt_ligne_licence[1] == elt_annee) {
					nb_licences_club_annee += 1 ;
				}
			}
		});
		
		tab_statsDuClub.push(nb_licences_club_annee);
	});
	
	tab_stat_club.push(tab_statsDuClub);
	tab_projection_club.push(tab_stat_club);	
});

txt_titre = ' | Club ' ;
txt_separateur = ' +------' ;


liste_des_annees.forEach(elt_annee => {
	txt_titre += ' | ' + elt_annee ;
	txt_separateur += '-+-------' ;
});

txt_titre += ' | ' ;
txt_separateur += '-+' ;

document.write('<br />' + txt_titre) ;
document.write('<br />' + txt_separateur) ;	


tab_projection_club.forEach(stat_club => {
	txt_club = "" ;
	txt_club += " | " + stat_club[0] ;
	
	stat_club[1].forEach(tmp_stat => {
		txt_club += "  |&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" ;
		txt_club += tmp_stat ;
	});
	txt_club += " | " ;
	
	document.write('<br />' + txt_club) ;
});
	
	
</script>
</body>
</html>


	
